/* EASSISTANT MINI
Developer: lapse.kz
Screen resolution: 460, 860, 1200, 1600, 1920 
*/
:root {
    --bg: #f3f2f9;
    --bg2: #fff;
    --text: #000;
    --text1: #fff;
    --text2: #a1aab9;
    --text3: #c3ccda;
    --color1: #45d5a0;
    --color2: #40c493;
    --light: rgb(255 255 255 / 10%);
    --light2: rgb(255 255 255 / 20%);
    --dark: rgb(0 0 0 / 10%);
    --radius: 8px;
}

.e-h1, .e-h2, .e-h3, .e-h4 {
    margin-bottom: 30px;
}

.e-h1 {
    font-size: 42px;
    font-weight: bold;
}

.e-h2 {
    font-size: 28px;
    font-weight: bold;
}

.e-h3 {
    font-size: 20px;
    line-height: 1.4;
}

.e-h4 {
    font-size: 18px;
    line-height: 1.4;
}

.e-btn {
    display: inline-block;
    background: var(--color1);
    color: #fff;
    padding: 15px 30px;
    border-radius: var(--radius);
    font-weight: 500;
    text-align: center;
    cursor: pointer;
}

.e-btn:hover {
    background: var(--color2);
}

.e-grid2, .e-grid3, .e-grid4, .e-grid5, .e-grid6, .e-grid7 {
    display: grid;
    grid-gap: 20px;
    grid-auto-rows: max-content;
}

.e-grid7 {
    grid-template-columns: repeat(7, 1fr);
}

.e-grid6 {
    grid-template-columns: repeat(6, 1fr);
}

.e-grid5 {
    grid-template-columns: repeat(5, 1fr);
}

.e-grid4 {
    grid-template-columns: repeat(4, 1fr);
}

.e-grid3 {
    grid-template-columns: repeat(3, 1fr);
}

@media (max-width: 860px) {
    .e-grid7, .e-grid6, .e-grid5, .e-grid4 {
        grid-template-columns: repeat(2, 1fr);
    }
}

.e-grid2 {
    grid-template-columns: repeat(2, 1fr);
}

@media (max-width: 860px) {
    .e-grid3, .e-grid2 {
        grid-template-columns: 1fr;
    }
}

.e-flex {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
}

.e-flex50 {
    flex: 1 1 0%;
    max-width: 100%;
    min-width: 50px;
}

.e-flex_col, .e-flexcol {
    flex-direction: column;
}

.e-flex_row, .e-flexrow {
    flex-direction: row;
}

.e-flex_center, .e-flexcenter {
    justify-content: center;
    align-items: center;
}

.e-flex_jb, .e-flexjb {
    justify-content: space-between;
}

.e-flex_jc, .e-flexjc {
    justify-content: center;
}

.e-flex_ac, .e-flexac {
    align-items: center;
}

.e-nocontainer, .e-noc {
    width: 100vw;
    margin: 0 calc((100% - 100vw) / 2);
    padding: 0 calc((100vw - 100%) / 2);
}

.e-center {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%,-50%);
}

.e-nowrap {
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

.e-cover img, .e-cover video, .e-cover iframe {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

@media (max-width: 860px) {
    .e-swipe {
        display:flex;
        justify-content: flex-start;
        flex-wrap: nowrap;
        overflow-x: auto;
    }

    .e-swipe > * {
        min-width: max-content;
    }
}

.e-clamp2, .e-clamp3, .e-clamp4, .e-clamp5 {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    overflow: hidden;
}

.e-clamp2 {
    -webkit-line-clamp: 2;
}

.e-clamp3 {
    -webkit-line-clamp: 3;
}

.e-clamp4 {
    -webkit-line-clamp: 4;
}

.e-clamp5 {
    -webkit-line-clamp: 5;
}

.e-scroll::-webkit-scrollbar {
    position: relative;
    width: 4px;
    border-radius: 10px;
}

.e-scroll::-webkit-scrollbar-thumb {
    background-color: var(--color1);
}

.e-scroll::-webkit-scrollbar-track {
    background-color: var(--light);
}

.e-none, .hidden, .e-mobile, .e-desktop {
    display: none;
}

@media (max-width: 860px) {
    .e-mobile {
        display: block;
    }
}

@media (min-width: 860px) {
    .e-desktop {
        display: block;
    }
}

.e-float {
    position: relative;
    margin-bottom: 20px;
}

.e-float label {
    position: absolute;
    color: var(--text2);
    font-size: 10px;
    top: 8px;
    left: 20px;
    transition: 0.3s;
}

.e-float input::-webkit-input-placeholder, .e-float textarea::-webkit-input-placeholder {
    opacity: 0;
}

.e-float input:placeholder-shown:not(:focus)::-webkit-input-placeholder, .e-float textarea:placeholder-shown:not(:focus)::-webkit-input-placeholder {
    opacity: 1;
}

.e-float input:placeholder-shown:not(:focus) + label, .e-float textarea:placeholder-shown:not(:focus) + label {
    opacity: 0;
    top: 12px;
}

.e-float input:placeholder-shown {
    padding: 20px;
}

.e-float input, .e-float textarea, .e-float input:focus, .e-float textarea:focus {
    display: inline-block;
    background: var(--bg2);
    color: inherit;
    padding: 15px 20px;
    border-radius: var(--radius);
    width: 100%;
    border: 1px solid rgb(61 67 79 / 19%);
    padding: 25px 20px 15px 20px;
    height: 55px;
    transition: 0.3s;
}

.e-float textarea, .e-float textarea:focus {
    height: auto;
}

.e-float input:focus, .e-float ~ textarea:focus {
    border: 1px solid var(--color1);
}

.e-field {
    position: relative;
    align-items: center;
    grid-gap: 15px;
    text-align: left;
    margin-bottom: 20px;
}

.e-field label {
    display: inline-block;
    color: var(--text2);
    font-size: 14px;
    margin-bottom: 12px;
}

.e-field input {
    display: inline-block;
    background: var(--bg2);
    color: inherit;
    padding: 15px 20px;
    border-radius: var(--radius);
    width: 100%;
    border: 1px solid transparent;
}

.e-field input:focus, .e-field ~ textarea:focus {
    border: 1px solid var(--color1);
}

.e-float input::placeholder, .e-float textarea::placeholder, .e-field input::placeholder, .e-field textarea::placeholder {
    color: var(--text2);
    opacity: 0.7;
}

.e-overlay {
    position: fixed;
    background: rgb(0 0 0 / 50%);
    backdrop-filter: blur(10px);
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 6;
}

/* MODAL OKNO */
.e-modal {
    display: none;
    position: fixed;
    min-width: 500px;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    background: #fff;
    box-shadow: 0 0 20px 0 rgb(0 0 0 / 10%);
    padding: 30px;
    border-radius: var(--radius);
    text-align: center;
    z-index: 9;
}

@media (max-width: 860px) {
    .e-modal {
        min-width: max-content;
    }
}

.e-modal > .fa-xmark {
    position: absolute;
    top: -50px;
    right: 0;
    width: 40px;
    height: 40px;
    line-height: 40px;
    background: var(--light);
    color: #fff;
    border-radius: 50%;
    font-size: 20px;
    text-align: center;
    transition: 0.3s;
    cursor: pointer;
}

.e-modal > .fa-xmark:hover {
    background: var(--light2);
}
